Skip to main content
PUT
/
virtual-assets
/
{id}
/
rate
Set rate for a `FIXED` virtual asset
curl --request PUT \
  --url https://sandbox.api.reap.global/virtual-assets/{id}/rate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Reap-Version: <reap-version>' \
  --data '{
  "rate": 123
}'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "symbol": "<string>",
  "name": "<string>",
  "decimals": 0,
  "status": "ACTIVE",
  "rateSource": "FIXED",
  "httpEndpoint": "<string>",
  "currentRate": 1,
  "currentRateUpdatedAt": "<string>",
  "allocated": {
    "amount": "<string>",
    "value": 123
  },
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14
Example:

"2025-02-14"

Path Parameters

id
string<uuid>
required

Virtual asset ID

Body

rate
number
required

New USD rate for 1 unit of this virtual asset. Only available for virtual assets with FIXED rate source.

Response

Virtual asset definition

id
string<uuid>
required

Unique virtual asset identifier

symbol
string
required

Virtual asset symbol

name
string
required

Display name

decimals
integer
required

Number of decimal places for amounts

Required range: -9007199254740991 <= x <= 9007199254740991
status
enum<string>
required

Lifecycle status. Disabled assets are excluded from balance computation.

Available options:
ACTIVE,
DISABLED
Example:

"ACTIVE"

rateSource
enum<string>
required

How the USD exchange rate is determined for this virtual asset.

Available options:
FIXED,
HTTP
Example:

"FIXED"

httpEndpoint
string | null
required

Rate endpoint URL. Present only for HTTP rate source.

currentRate
number | null
required

Latest known USD rate per unit. Null if no rate snapshot exists yet.

Required range: x > 0
currentRateUpdatedAt
string | null
required

ISO 8601 timestamp of the latest rate snapshot. Null when currentRate is null.

allocated
object
required

Total amount of this virtual asset allocated across all accounts in the project.

createdAt
string
required

ISO 8601 creation timestamp

updatedAt
string
required

ISO 8601 last update timestamp